/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_ITDESPREBASE                                             */
/* Tabela : ITDESPREBASE                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_ITDESPREBASE' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_ITDESPREBASE
GO

CREATE TRIGGER DTULTATU_ITDESPREBASE
ON ITDESPREBASE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'ITDESPREBASE', null, 'CDPRECOBASE=' + CDPRECOBASE + ';'+
                                           'CDPAIS='+ CDPAIS+ ';'+
                                           'SGESTADO=' + SGESTADO + ';'+
                                           'CDPRODUTO='+ CDPRODUTO+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE ITDESPREBASE
      SET DTULTATUDEPR = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(ITDESPREBASE.CDPRECOBASE,0)  = ISNULL(INSERTED.CDPRECOBASE,0)) AND
            (ISNULL(ITDESPREBASE.CDPAIS,0)       = ISNULL(INSERTED.CDPAIS,0))      AND
            (ISNULL(ITDESPREBASE.SGESTADO,0)     = ISNULL(INSERTED.SGESTADO,0))    AND
            (ISNULL(ITDESPREBASE.CDPRODUTO,0)    = ISNULL(INSERTED.CDPRODUTO,0))   AND
            (ISNULL(ITDESPREBASE.VRPEMAXDESPR,0) = ISNULL(INSERTED.VRPEMAXDESPR,0));
   END;
END;
GO

